Configuration Group Schemas - List By Publisher
게시자 아래에 있는 구성 그룹 스키마의 정보를 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/configurationGroupSchemas?api-version=2023-09-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
게시자의 이름. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
요청이 성공했습니다. 이 작업은 결과 구성 그룹 스키마 리소스를 반환합니다. |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get networkFunctionDefinition groups under publisher resource
샘플 요청
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HybridNetwork/publishers/testPublisher/configurationGroupSchemas?api-version=2023-09-01
샘플 응답
{
"value": [
{
"name": "testConfigurationGroupSchema",
"id": "/subscriptions/subid/resourcegroups/testRG/providers/microsoft.hybridnetwork/publishers/testPublisher/configurationGroupSchemas/interconnectgroupsSchema",
"type": "Microsoft.HybridNetwork/publishers/configurationGroupSchemas",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"location": "westUs2",
"properties": {
"provisioningState": "Accepted",
"schemaDefinition": "{\"type\":\"object\",\"properties\":{\"interconnect-groups\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"name\":{\"type\":\"string\"},\"international-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}},\"domestic-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}}}}},\"interconnect-group-assignments\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"ssc\":{\"type\":\"string\"},\"interconnects-interconnects\":{\"type\":\"string\"}}}}},\"required\":[\"interconnect-groups\",\"interconnect-group-assignments\"]}",
"description": "Schema with no secrets"
}
}
]
}
정의
| Name | Description |
|---|---|
|
Configuration |
구성 그룹 스키마 리소스입니다. |
|
Configuration |
구성 그룹 스키마 리소스 목록입니다. |
|
Configuration |
구성 그룹 스키마 속성입니다. |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Provisioning |
현재 프로비저닝 상태입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
|
version |
구성 그룹 스키마 버전 상태입니다. |
ConfigurationGroupSchema
구성 그룹 스키마 리소스입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
리소스가 있는 지리적 위치 |
| name |
string |
리소스의 이름 |
| properties |
구성 그룹 스키마 속성입니다. |
|
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| tags |
object |
리소스 태그. |
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
ConfigurationGroupSchemaListResult
구성 그룹 스키마 리소스 목록입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
다음 결과 집합을 가져올 URL입니다. |
| value |
구성 그룹 스키마 목록입니다. |
ConfigurationGroupSchemaPropertiesFormat
구성 그룹 스키마 속성입니다.
| Name | 형식 | Description |
|---|---|---|
| description |
string |
스키마에 포함될 수 있는 항목에 대한 설명입니다. |
| provisioningState |
구성 그룹 스키마 리소스의 프로비전 상태입니다. |
|
| schemaDefinition |
string |
구성 값을 정의하는 이름 및 값 쌍입니다. 잘 구성된 이스케이프된 JSON 문자열일 수 있습니다. |
| versionState |
구성 그룹 스키마 버전 상태입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
ProvisioningState
현재 프로비저닝 상태입니다.
| 값 | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |
versionState
구성 그룹 스키마 버전 상태입니다.
| 값 | Description |
|---|---|
| Unknown | |
| Preview | |
| Active | |
| Deprecated |